LFR-FSW - Feature #593

adapter tm_Ifr_period.py au fonctionnement des modes
26/01/2016 09:29 AM - Veronique bouzid

Status: In Progress Start date: 26/01/2016
Priority: Normal Due date:

Assignee: Veronique bouzid % Done: 80%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Le normal mode ne s'interrompant plus quand on commute vers sbm1 et sbm2, il faut modifier
la fonction tm_lfr_period.py qui testait le timing en fonction du mode actif.

Maintenant la prise en compte des TM_LFR_SCIENCE_NORMAL* doit etre global pour vérifier la continuté des timing.

Related issues:
Related to Task #631: Transforme fichier Synth.txt en log_data Closed 18/02/2016

History

#1 - 19/02/2016 08:29 AM - Veronique bouzid

- Status changed from New to In Progress

- % Done changed from 0 to 80

Fait et testé pour NORMAL et BURST MODE SBM2.

Il faut modifier le code pour CWF_F1 de fagon a traiter correctement ce produit.

Cette fonction pourra ne plus etre utilisée puisque maintenant on a un script qui transforme le format du fichier Synth.txt en un format packet_log.data
utilisé par le script periodicity.py.

#2 - 19/02/2016 08:31 AM - Veronique bouzid
- Related to Task #631: Transforme fichier Synth.txt en log_data added

#3 - 09/03/2016 01:54 PM - Veronique bouzid

- Subject changed from adapter tm_Ifr_period.py au fonctionement des modes to adapter tm_lIfr_period.py au fonctionnement des modes
